public class Conjunto {
	private int[] elementos;
	private int tamano_maximo;
	private int numero_de_elementos;
	
	public Conjunto(int _tamano_maximo) { // inicializa el conjunto vacio
		elementos = new int[_tamano_maximo];
		for (int i = 0; i < elementos.length; i++)
			elementos[i] = -1;
		tamano_maximo = _tamano_maximo;
		numero_de_elementos = 0;
	}
	
	public int Numero_de_Elementos() { // Obtiene el numero de elementos
		return numero_de_elementos;
	}
	
	public boolean Esta(int valor) { // Ve si un elemento esta o no
		for (int i = 0; i < elementos.length; i++) {
			if (elementos[i] == valor)
				return true;
		}
		return false;
	}
	
	public void Insertar(int valor) { // Insertar un nuevo elemento
		if (Esta(valor) == false) {
			for (int i = 0; i < elementos.length; i++) {
				if (elementos[i] == -1) {
					elementos[i] = valor;
					numero_de_elementos++;
					break;
				}
			}
		}
	}
	public void Borrar(int valor) { // Borra el elemento especificado
		if (Esta(valor)) {
			for (int i = 0; i < elementos.length; i++) {
				if (elementos[i] == valor) {
					elementos[i] = -1;
					numero_de_elementos--;
					break;
				}
			}
		}
	}
	
	public int Elemento(int posicion) {
		return elementos[posicion];
	}
	
	public int Tamano_Maximo() {
		return tamano_maximo;
	}
	
	public Conjunto Union(Conjunto c) { // Une dos conjuntos y su resultado lo devuelve en otro conjunto
		Conjunto ret = new Conjunto(Numero_de_Elementos() + c.Numero_de_Elementos());
		for (int i = 0; i < tamano_maximo; i++)
			ret.Insertar(Elemento(i));
		for (int i = 0; i < c.Numero_de_Elementos(); i++)
			ret.Insertar(c.Elemento(i));
		return ret;
	}
	public Conjunto Interseccion(Conjunto c) { // Intersecta dos conjuntos y su resultado lo devuelve en otro conjunto
		Conjunto ret = new Conjunto(Numero_de_Elementos());
		for (int i = 0; i < elementos.length; i++) {
			if (elementos[i] != -1 && c.Esta(elementos[i]))
				ret.Insertar(elementos[i]);
		}
		return ret;
	}
}