public class Libreria {
	private Libro[] libros;
	private int numero_libros_disponibles;
	
	public Libreria(int numero_maximo_de_libros) {
		libros = new Libro[numero_maximo_de_libros];
		numero_libros_disponibles = 0;
	}
	
	public void Agregar(String _nombre, String _autor, String _editorial, float _precio) { //Agrega este nuevo libro de tal manera que libros quede ordenado por autor. Si el libro ya esta incrementa su cantidad en 1. Si no esta lo inserta en el lugar correspondiente (1.0pts)
		if (numero_libros_disponibles == libros.length)
			return;
		int i;
		for (i = 0; i < libros.length; i++) {
			if (libros[i].Nombre() == _nombre) {
				libros[i].IncrCantidad();
				break;
			}
		}
		if (i == libros.length-1) {
			for (i = 0; i < libros.length; i++)
				if (libros[i] == null) {
					libros[i] = new Libro(_nombre, _autor, _editorial, _precio);
					numero_libros_disponibles++;
				}
		}
		ordenarLibrosPorAutor(libros);
	}
	
	void ordenarLibrosPorAutor(Libro[] _libros) {
		int i, j, min;
		for (i = 0; i < _libros.length - 1; i++) {
			min = i;
			for (j = i + 1; j < _libros.length; j++) {
				if (_libros[j].Autor().compareTo(_libros[min].Autor()) < 0)
					min = j;
				if (_libros[min] == null)
					min = j;
			}
			swap(_libros,i,min);
		}
	}
	
	void swap(Libro[] _libros, int a, int b) {
		Libro aux = _libros[a];
		_libros[a] = _libros[b];
		_libros[b] = aux;
	}
	
	public int Cantidad(String nombre, String autor, String editorial) {
		int cantidad = 0;
		for (int i = 0; i < libros.length; i++) {
			if (nombre == libros[i].Nombre() && autor == libros[i].Autor() && editorial == libros[i].Editorial())
				cantidad++;
		}
		return cantidad;
	}
	
	public void Precio(String autor, Console c) {
		for (int i = 0; i < libros.length; i++) {
			if (libros[i].Autor() == autor)
				c.println("Nombre " + libros[i].Nombre() + " Precio: $" + libros[i].Precio());
		}
	}
}
